From 57aa690c07c39d417200d7f3ca86783a58fbdcdc Mon Sep 17 00:00:00 2001
From: Daniel Mierswa <impulze@impulze.org>
Date: Sun, 24 Jan 2010 22:24:14 +0100
Subject: [PATCH 07/11] Don't use uname in configure.ac.

uname considers the build system not the host system.

Signed-off-by: Daniel Mierswa <impulze@impulze.org>
---
 configure.ac |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/configure.ac b/configure.ac
index 07ab31f..2f2f2da 100644
--- a/configure.ac
+++ b/configure.ac
@@ -139,10 +139,10 @@ AC_ARG_WITH(contrib,
        with_cyberlink_tree=${CONTRIB_DIR}/src/clinkcc
     fi
 
-    if test ".`uname -s`" = ".Darwin"; then
+    if test "${SYS}" = "darwin"; then
       export LD_LIBRARY_PATH=${CONTRIB_DIR}/lib:$LD_LIBRARY_PATH
       export DYLD_LIBRARY_PATH=${CONTRIB_DIR}/lib:$DYLD_LIBRARY_PATH
-    elif test ".`uname -s`" = ".BeOS"; then
+    elif test "${SYS}" = "beos"; then
       export LIBRARY_PATH=${CONTRIB_DIR}/lib:$LIBRARY_PATH
       export BELIBRARIES=${CONTRIB_DIR}/lib:$BELIBRARIES
     fi
@@ -270,7 +270,7 @@ case "${host_os}" in
     fi
     ;;
   darwin9*)
-    if (test ".`uname -p`" = ".i386"); then
+    if test "${host_cpu}" = "i386"; then
         dnl Due to a ld(64) bug in 10.5 we cannot use our mmx code
         dnl without hacking it a lot, we disable mmx and sse.
         dnl (that bug is about ld being unable to handle
-- 
1.6.6.1


